from django.conf.urls import patterns, url

from . import views

urlpatterns = patterns(
    "",
    url("^$", views.storefront_index, name="storefront_index"),
    url("^help/$", views.storefront_help, name="help"),
    url("^help/confirm/$", views.storefront_help_confirm, name="help_confirm"),
    url("^privacy/$", views.storefront_privacy, name="privacy"),
    url("^books/$", views.category, {"category": "book"}, name="book_category"),
    url("^maps/$", views.category, {"category": "map"}, name="map_category"),
    url("^movies/$", views.category, {"category": "movie"}, name="movie_category"),
    url("^subs/$", views.subscription_home, name="subscriptions_home"),
    url("^subs/new/$", views.choose_new_subscription, name="subscriptions_new"),
    url(r"^subs/gift/$", views.choose_gift_subscription, name="subscriptions_gift"),
    url(r"^subs/renew/$", views.subscriptions_renew, name="subscriptions_renew"),
    url("^item/price/$", views.item_price, name="item_price"),
    url("^item/(?P<sku>\w+)/$", views.item_detail, name="item_detail"),
    # url('^item/price/(?P<sku>\w+)/$', views.item_price, name='item_price'),
    url(
        "^subs/address/change/$",
        views.change_of_address,
        name="subscriptions_address_change",
    ),
    url(
        "^subs/address/change/complete/$",
        views.change_of_address_complete,
        name="subscriptions_address_change_complete",
    ),
)
